#
# spec file for package stan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           stan
Version:        0.4.1
Release:        11.4
Summary:        Stream Analyzer
License:        BSD-4-Clause
Group:          System/Console
Url:            http://www.roqe.org/stan
Source:         %{name}-%{version}.tar.gz
Patch1:         %{name}-0.4_add-errno.diff
Patch2:         stan-0.4-optflags.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Stan is a small console application that works on all UNIX systems. It
is able to generate several types of statistical information about a
stream. A stream can be either standard input or given files. For
example, stan can be used to analyze encrypted data or to measure the
quality of a pseudo-random number generator, but there are probably
hundreds of other situations where stan comes in handy.

Stan supports three types of analysis: general statistics, pattern
statistics, and bit statistics. By choosing intelligent values for each
statistic, stan can give amazing results about a stream and is fun to
work with.

%prep
%setup -q
%patch -P 1 -p1
%patch -P 2

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/stan
%{_mandir}/man1/stan.1%{ext_man}

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Apr 28 2016 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Thu May 31 2012 sweet_f_a@gmx.de
- update to 0.4.1 (Minor documentation fixes)
* Fri Dec  2 2011 coolo@suse.com
- bnc#734459 - the license has one clause more than 3
* Wed Nov 30 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun May  4 2008 crrodriguez@suse.de
- fix for Feature No 300498 , use RPM_OPT_FLAGS everywhere.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 19 2005 thomas@suse.de
- added errno.h
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Jan  7 2004 thomas@suse.de
- initial packet (0.4)
